%{!?python3_version: %global python3_version %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3])")}

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global upstream_name lazr.delegates

Name:           python-%{upstream_name}
Version:        2.0.2
Release:        1%{?dist}
Summary:        Easily write objects that delegate behavior

License:        LGPL
URL:            https://launchpad.net/lazr.delegates
Source0:        https://launchpad.net/lazr.delegates/trunk/%{version}/+download/lazr.delegates-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-zope-interface
%if 0%{?with_python3}
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-zope-interface
%endif

Requires:       python-setuptools
Requires:       python-nose
Requires:       python-zope-interface


%description
The lazr.delegates package makes it easy to write objects that delegate
behavior to another object. The new object adds some property or behavior on
to the other object, while still providing the underlying interface, and
delegating behavior.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        Easily write objects that delegate behavior
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-nose
Requires:       python%{python3_pkgversion}-zope-interface

%description -n python%{python3_pkgversion}-%{upstream_name}
The lazr.delegates package makes it easy to write objects that delegate
behavior to another object. The new object adds some property or behavior on
to the other object, while still providing the underlying interface, and
delegating behavior.
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
rm -f %{buildroot}%{python_sitelib}/lazr/delegates/_python3.py # py3-only

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%check
%{__python} setup.py nosetests

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py nosetests
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
%doc 
%{python_sitelib}/lazr
%{python_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc 
%{python3_sitelib}/lazr
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?-nspkg.pth
%endif


%changelog
* Wed Nov 28 2012 Aurelien Bompard - 1.2.0-1
- Initial package.
